Bug 1417670 - Alembic upgrade fails
Summary: Alembic upgrade fails
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-octavia
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Assaf Muller
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks: 1378993
TreeView+ depends on / blocked
 
Reported: 2017-01-30 15:52 UTC by Alexander Stafeyev
Modified: 2019-09-10 14:10 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 12:03:05 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Brent Eagles 2017-01-30 16:06:26 UTC
I'm not certain if this is related but this patch was made post newton: https://review.openstack.org/#/c/422175/

Comment 3 Jakub Libosvar 2017-01-31 12:03:05 UTC
Brent is correct, the newer version of Octavia refers to using octavia-db-manage. Once correct connection string is set in /etc/octavia/octavia.conf, alembic migrations succeed.

I also needed to change localhost address in the config to use node's IP address as mysql doesn't listen on localhost. Maybe worth updating document from comment 0.


Note You need to log in before you can comment on or make changes to this bug.